package com.sheep.gamegroup.greendao.download;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Generated;
import org.greenrobot.greendao.annotation.Id;
import org.greenrobot.greendao.annotation.NotNull;
import org.greenrobot.greendao.annotation.Unique;

/**
 * Created by Administrator on 2017/12/25.
 */

@Entity
public class AppdownloadBean {
    @Id
    private Long mId;

    private String name;
    private String icon;
    private String url;
    @NotNull
    @Unique
    private String pkgName;
    private String interfaceName;
    private int staus = 0;//1下载成功，2安装成功
    public int getStaus() {
        return this.staus;
    }
    public void setStaus(int staus) {
        this.staus = staus;
    }
    public String getInterfaceName() {
        return this.interfaceName;
    }
    public void setInterfaceName(String interfaceName) {
        this.interfaceName = interfaceName;
    }
    public String getPkgName() {
        return this.pkgName;
    }
    public void setPkgName(String pkgName) {
        this.pkgName = pkgName;
    }
    public String getUrl() {
        return this.url;
    }
    public void setUrl(String url) {
        this.url = url;
    }
    public String getIcon() {
        return this.icon;
    }
    public void setIcon(String icon) {
        this.icon = icon;
    }
    public String getName() {
        return this.name;
    }
    public void setName(String name) {
        this.name = name;
    }
    public Long getMId() {
        return this.mId;
    }
    public void setMId(Long mId) {
        this.mId = mId;
    }
    @Generated(hash = 1920276973)
    public AppdownloadBean(Long mId, String name, String icon, String url,
            @NotNull String pkgName, String interfaceName, int staus) {
        this.mId = mId;
        this.name = name;
        this.icon = icon;
        this.url = url;
        this.pkgName = pkgName;
        this.interfaceName = interfaceName;
        this.staus = staus;
    }
    @Generated(hash = 1344994525)
    public AppdownloadBean() {
    }

}
